--- a/NEWS
+++ b/NEWS
@@ -1,7 +1,7 @@
 This file describes user-visible changes in rbldnsd.
 Newer news is at the top.
 
-0.999 (Still not official, to be released)
+0.999 (snapshot 20180516)
  - Removal of deprecated features (aka: NS record compatibility mode)
  - Adding -F flag, used to identify the log facility of the daemon.
  - fix tests for systems without ipv6 support, or when ipv6 is
